de.esprit.appsuite.io.archive.zip

## Class ZipArchiveEntry

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.appsuite.io.archive.ArchiveEntry<java.util.zip.ZipEntry>
    - - de.esprit.appsuite.io.archive.zip.ZipArchiveEntry

- All Implemented Interfaces:
    Dumpable

      public final class ZipArchiveEntry
      extends ArchiveEntry<java.util.zip.ZipEntry>

  This class represents an entry in a ZIP archive
  Author:
    Rainer Buesch

- - ### Field Summary

    - ### Fields inherited from class de.esprit.appsuite.io.archive.ArchiveEntry

      `entry`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ZipArchiveEntry(java.util.zip.ZipEntry entry)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected FileInfo` | `createFileInfo(java.util.zip.ZipEntry entry)`
    `java.lang.String` | `getComment()`
    `java.lang.String` | `getEntryPathName()`
    `long` | `getLastModified()`
    `long` | `getSize()`
    `boolean` | `isDirectory()`

    - ### Methods inherited from class de.esprit.appsuite.io.archive.ArchiveEntry

      `equals, getEntry, getFileInfo, getUnixPathName, hashCode, toDumpString, toString`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ZipArchiveEntry

          public ZipArchiveEntry(java.util.zip.ZipEntry entry)

  - ### Method Detail

    - #### createFileInfo

          protected FileInfo createFileInfo(java.util.zip.ZipEntry entry)

      Specified by:
        `createFileInfo` in class `ArchiveEntry<java.util.zip.ZipEntry>`

    - #### getEntryPathName

          public java.lang.String getEntryPathName()

      Specified by:
        `getEntryPathName` in class `ArchiveEntry<java.util.zip.ZipEntry>`

    - #### getSize

          public long getSize()

      Specified by:
        `getSize` in class `ArchiveEntry<java.util.zip.ZipEntry>`

    - #### getLastModified

          public long getLastModified()

      Specified by:
        `getLastModified` in class `ArchiveEntry<java.util.zip.ZipEntry>`

    - #### isDirectory

          public boolean isDirectory()

      Specified by:
        `isDirectory` in class `ArchiveEntry<java.util.zip.ZipEntry>`

    - #### getComment

          public java.lang.String getComment()

      Specified by:
        `getComment` in class `ArchiveEntry<java.util.zip.ZipEntry>`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.